
# todo

- fix `setup/install.sh` to either parameterize or ask which disk is the primary

- fix `arch.sh` to replace hard-coded `/dev/sda` when setting up `bootctl`

- enhance `setup/install.sh` such that it can intelligently size swap
	- detect if laptop (`pacman -S dmidecode`) or ask if user wishes to enable hibernation
	- detect memory total (`cat /proc/meminfo | grep "MemTotal" | awk '{print $2}'`)
		- if no hibernation
			- total > 4GB use 20% for SWAP
			- else use 200% total
		- if yes hibernation
			- if total < 6G use 200%
			- else use 100% + 2G

- verify `locale-gen` with `ja_JP.UTF-8` works without any problems
	- test `fcitx-mozc` or alternatives for GUI selection and IME support

- investigate `laptop-mode-tools` configuration (_on an actual laptop_)
	- modify `panel_items = LTSCB` in `~/.config/tint2/tint2rc` for displaying battery

- consider adding `https://aur.archlinux.org/packages/yay/` to the installed AUR packages

- investigate `libfm` and `pcmanfm` enhancements
	- a patch to enable directory thumbnail generation
	- support for `webp` files; including animated `webp` files

- try out i3 window manager

- experiment with tint2 alternatives (menubar):
	- dzen
	- lemonbar
	- polybar
	- yabar
	- i3blocks
	- stalonetray

- experiment with notification services (_I don't use one personally_):
	- dunst
	- statnot
	- twmn

- experiment gmrun alternatives (launchers; _would love one that can do math_):
	- dmenu
	- kupfer

- try and figure out how to add `ctrl+c` support to the getty login (_like debian_)
